/*
   bhbuttontable.cpp
   Copyright (C)2004  Al Kingsley

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Part of:
	BhPos, Copyright (C) 2001-2004 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY.
*/
#include <bhbuttontable.h>
#include <gtkmm/alignment.h>

namespace bhpos{

namespace widget{

ButtonTable::ButtonTable()
{
   x=0;
   y=0;
   padding=10;
}

ButtonTable::ButtonTable(int xs, int ys, int p)
{
   x=xs;
   y=ys;
   padding=p;
}

ButtonTable::~ButtonTable()
{
}

int ButtonTable::ParseConfig(char *fn)
{
}

void ButtonTable::Set(int x, int y, SmartButton& button)
{
   Gtk::Alignment* a = Gtk::manage(new Gtk::Alignment());
   a->set_padding(padding, padding, padding, padding);
   a->add(button);
   attach (*a, x, x+1, y, y+1);
}

}

}
